module bookhoard

go 1.25.0

require (
	github.com/ArcadiaLin/go-epub v0.1.1
	github.com/a-h/templ v0.3.1001
	github.com/andybalholm/brotli v1.2.0
	github.com/bodgit/plumbing v1.3.0
	github.com/bodgit/windows v1.0.1
	github.com/fsnotify/fsnotify v1.9.0
	github.com/go-playground/validator/v10 v10.30.1
	github.com/golang-jwt/jwt/v5 v5.3.1
	github.com/google/uuid v1.6.0
	github.com/gorilla/websocket v1.5.3
	github.com/hashicorp/golang-lru/v2 v2.0.7
	github.com/jackc/pgx/v5 v5.8.0
	github.com/klauspost/compress v1.18.4
	github.com/labstack/echo-jwt/v5 v5.0.1
	github.com/labstack/echo/v5 v5.0.4
	github.com/nwaples/rardecode v1.1.3
	github.com/pdfcpu/pdfcpu v0.11.1
	github.com/pierrec/lz4/v4 v4.1.25
	github.com/skip2/go-qrcode v0.0.0-20200617195104-da1b6568686e
	github.com/spf13/afero v1.15.0
	github.com/stretchr/testify v1.11.1
	github.com/ulikunitz/xz v0.5.15
	github.com/yuin/goldmark v1.7.16
	github.com/yuin/goldmark-highlighting v0.0.0-20220208100518-594be1970594
	golang.org/x/crypto v0.48.0
	golang.org/x/text v0.34.0
)

require (
	github.com/alecthomas/chroma v0.10.0 // indirect
	github.com/clipperhouse/uax29/v2 v2.7.0 // indirect
	github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc // indirect
	github.com/dlclark/regexp2 v1.11.5 // indirect
	github.com/gabriel-vasile/mimetype v1.4.13 // indirect
	github.com/go-playground/locales v0.14.1 // indirect
	github.com/go-playground/universal-translator v0.18.1 // indirect
	github.com/google/go-cmp v0.7.0 // indirect
	github.com/hhrutter/lzw v1.0.0 // indirect
	github.com/hhrutter/pkcs7 v0.2.0 // indirect
	github.com/hhrutter/tiff v1.0.2 // indirect
	github.com/jackc/pgpassfile v1.0.0 // indirect
	github.com/jackc/pgservicefile v0.0.0-20240606120523-5a60cdf6a761 // indirect
	github.com/jackc/puddle/v2 v2.2.2 // indirect
	github.com/kr/pretty v0.3.1 // indirect
	github.com/leodido/go-urn v1.4.0 // indirect
	github.com/mattn/go-runewidth v0.0.20 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2 // indirect
	github.com/rogpeppe/go-internal v1.14.1 // indirect
	github.com/xyproto/randomstring v1.2.0 // indirect
	golang.org/x/image v0.36.0 // indirect
	golang.org/x/net v0.51.0 // indirect
	golang.org/x/sync v0.19.0 // indirect
	golang.org/x/sys v0.41.0 // indirect
	golang.org/x/time v0.14.0 // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
